
QGIS Application - Bug report #2977

Messy uninstallation of the standalone installer

2010-09-01 11:10 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13037

Description

When uninstalling the standalone exe for 1.5.0, the software lefts the shortcut on the desktop. As it is useless without QGIS it should be

removed.

The user should also have the option to uninstall the OSGEO4W folder and the .qgis folder.

This way QGIS leave a clean system behind it and make it easier to make a fresh install.

Associated revisions

Revision 018eda57 - 2011-12-10 02:45 PM - Alexander Bruy

don't keep shortcuts after uninstalling standalone version (fix #2977)

Revision 31d9ea3b - 2011-12-10 02:46 PM - Alexander Bruy

don't keep shortcuts after uninstalling standalone version (fix #2977)

History

#1 - 2010-09-01 01:56 PM - Jean-Roc Morreale

Forget the OSGEO4W part, bad idea :p

#2 - 2011-12-09 08:55 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

Still true?

#3 - 2011-12-09 10:27 AM - Alexander Bruy

Still true with standalone 1.7.2
#4 - 2011-12-10 05:55 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to fixed

Should be fixed in commit:018eda5737
